package com.yd.api.agms.vo.hiring;

/**
 * @author xxy
 */
public class PractitionerHiringApproveRequestVO {
    /**
     * 当前审批平台 1=ydLife, 2=AGMS
     */
    private Integer plateform;
    /**
     * AGMS登入者id
     */
    private Long loginId;
    /**
     * 经纪人id
     */
    private Long practitionerId;
    /**
     * 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    private Long hiringBasicInfoId;
    /**
     * 审批步骤经行到哪一步了
     */
    private Integer hiringApproveStepsSeq;
    /**
     * 1：通过，0：驳回
     */
    private Long approvingStatus;
    /**
     * 备注，驳回原因
     */
    private String rejectNote;
    /**
     * 面试评价
     */
    private String interviewAssessment;


    /**
     * 获取 AGMS登入者id
     *
     * @return loginId AGMS登入者id
     */
    public Long getLoginId() {
        return this.loginId;
    }

    /**
     * 设置 AGMS登入者id
     *
     * @param loginId AGMS登入者id
     */
    public void setLoginId(Long loginId) {
        this.loginId = loginId;
    }

    /**
     * 获取 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @return hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @param hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 1：通过，0：驳回
     *
     * @return approvingStatus 1：通过，0：驳回
     */
    public Long getApprovingStatus() {
        return this.approvingStatus;
    }

    /**
     * 设置 1：通过，0：驳回
     *
     * @param approvingStatus 1：通过，0：驳回
     */
    public void setApprovingStatus(Long approvingStatus) {
        this.approvingStatus = approvingStatus;
    }

    /**
     * 获取 备注，驳回原因
     *
     * @return rejectNote 备注，驳回原因
     */
    public String getRejectNote() {
        return this.rejectNote;
    }

    /**
     * 设置 备注，驳回原因
     *
     * @param rejectNote 备注，驳回原因
     */
    public void setRejectNote(String rejectNote) {
        this.rejectNote = rejectNote;
    }

    public String getInterviewAssessment() {
        return interviewAssessment;
    }

    public void setInterviewAssessment(String interviewAssessment) {
        this.interviewAssessment = interviewAssessment;
    }

    public Integer getHiringApproveStepsSeq() {
        return hiringApproveStepsSeq;
    }

    public void setHiringApproveStepsSeq(Integer hiringApproveStepsSeq) {
        this.hiringApproveStepsSeq = hiringApproveStepsSeq;
    }

    public Integer getPlateform() {
        return plateform;
    }

    public void setPlateform(Integer plateform) {
        this.plateform = plateform;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }
}
